<?php
/**
 * The Business Blocks functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package The Business Blocks
 */


if ( ! function_exists( 'the_business_blocks_support' ) ) :
	function the_business_blocks_support() {

		load_theme_textdomain( 'the-business-blocks', get_template_directory() . '/languages' );
		
		add_theme_support( 'html5', array(
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		add_theme_support( 'custom-background', apply_filters( 'the_business_blocks_custom_background', array(
            'default-color' => 'fafafa',
            'default-image' => '',
        )));
		
		add_theme_support( 'wp-block-styles' );

		add_editor_style( 'style.css' );

	}
endif;
add_action( 'after_setup_theme', 'the_business_blocks_support' );

if ( ! function_exists( 'the_business_blocks_setup' ) ) :
	function the_business_blocks_setup() {
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'align-wide' );
		add_theme_support( 'woocommerce' );
		add_theme_support( 'wp-block-styles' );
		add_theme_support(
			'custom-logo',
			array(
				'height'      => 192,
				'width'       => 192,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);
		add_theme_support( 'block-nav-menus' );
		add_theme_support( 'experimental-link-color' );
		register_nav_menus(
			array(
				'primary' => __( 'Primary Navigation', 'the-business-blocks' ),
			)
		);
	}
endif;
add_action( 'after_setup_theme', 'the_business_blocks_setup' );

/**
 * Enqueue scripts and styles.
 */
function the_business_blocks_scripts() {

	$min  = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';

	$theme_version = wp_get_theme()->get( 'Version' );

	$deps = array( 'dashicons' );
	global $wp_styles;
	if ( in_array( 'wc-blocks-vendors-style', $wp_styles->queue ) ) {
		$deps[] = 'wc-blocks-vendors-style';
	}

	wp_enqueue_style( 'the-business-blocks-style', get_stylesheet_uri(), $deps, date( 'Ymd-Gis', filemtime( get_theme_file_path( 'style.css' ) ) ) );
	wp_style_add_data('the-business-blocks', 'rtl', 'replace');

	$the_business_blocks_enable_animations = get_option( 'the_business_blocks_enable_animations', true );

    if ( $the_business_blocks_enable_animations ) {
        //animation
		wp_enqueue_script( 'animate-js', get_theme_file_uri( '/js/animate.js' ), array( 'jquery' ), true );

		wp_enqueue_style( 'animate-css', get_template_directory_uri().'/css/animate.css' );
    }

	wp_enqueue_script( 'wow-script', get_template_directory_uri() . '/js/wow.js', array('jquery'));

	wp_enqueue_script('the-business-blocks-main-script', get_template_directory_uri() . '/js/script.js', array('jquery'), true);

	//font-awesome
	wp_enqueue_style( 'fontawesome', get_template_directory_uri() . '/css/font-awesome/css/all.css', array(), '5.15.3' );

}
add_action( 'wp_enqueue_scripts', 'the_business_blocks_scripts' );

/**
 * Enqueue admin scripts and styles.
 */
function the_business_blocks_admin_scripts() {

	wp_enqueue_style(
		'the-business-blocks-admin-css',
		get_template_directory_uri() . '/notice-getstart/theme-info.css',
		[],
		wp_get_theme()->get( 'Version' )
	);

	// Enqueue JS
	wp_enqueue_script(
		'the-business-blocks-admin-js',
		get_template_directory_uri() . '/notice-getstart/theme-info.js',
		[],
		wp_get_theme()->get( 'Version' ),
		true // Load in footer
	);

}
add_action( 'admin_enqueue_scripts', 'the_business_blocks_admin_scripts' );

/**
 * Load core file.
 */
require_once get_template_directory() . '/core/init.php';

/** 
 * Customizer
 */
require get_template_directory() . '/core/section-pro/customizer.php';

/** 
 * Animation
 */

require get_template_directory() . '/animation-setting.php';

/**
 * Current theme path.
 * Current theme url.
 * Current theme version.
 * Current theme name.
 * Current theme option name.
 */
define( 'THE_BUSINESS_BLOCKS_PATH', trailingslashit( get_template_directory() ) );
define( 'THE_BUSINESS_BLOCKS_URL', trailingslashit( get_template_directory_uri() ) );
define( 'THE_BUSINESS_BLOCKS_VERSION', '1.0.0' );
define( 'THE_BUSINESS_BLOCKS_THEME_NAME', 'the-business-blocks' );
define( 'THE_BUSINESS_BLOCKS_OPTION_NAME', 'the-business-blocks' );

/**
 * The core theme class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require THE_BUSINESS_BLOCKS_PATH . 'notice-getstart/main.php';

/**
 * TGM
 */
require_once get_template_directory() . '/core/tgm/tgm.php';

/**
 * Begins execution of the theme.
 *
 * @since    1.0.0
 */
function the_business_blocks_run() {
	new The_Business_Blocks();
}
the_business_blocks_run();